Межсайтовый скриптинг в NPDS

Дата публикации:08.07.2004
Дата изменения:12.01.2009
Всего просмотров:837
Опасность:
Низкая
Наличие исправления: Да
Количество уязвимостей:1
CVE ID: Нет данных
Вектор эксплуатации: Удаленная
Воздействие: Межсайтовый скриптинг
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: NPDS 4.8
Уязвимые версии: NPDS 4.8, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в теге IMG. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Пример:

IMG SRC="javascript:alert('insecure')"

URL производителя: www.npds.org

Решение: Установите последнюю версию с сайта производителя.

Ссылки: Npds BB HTML Injection